Skip to navigation

Get ProcedureRunPlanCondition by ID

Beta
Get a single ProcedureRunPlanCondition by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

procedure_run_plan_condition_idstringRequired
ID of the ProcedureRunPlanCondition.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstringOptional
descriptionstringOptional

The user-defined description of the condition.

idstringOptional
methodParametersPlanobject or nullOptional
Method plan containing parameter values for this condition's unit operation. If this value is null upon promotion to a procedure run, default values from the procedure will be used.
modifiedAtstringOptional
namestringOptional

The user-defined name of the condition.

positionintegerOptional
The display order of the condition within the run.
procedureRunPlanobjectOptional
The ProcedureRunPlan that this condition is a part of.
replicateslist of objectsOptional
Replicate information for this condition.
templateMethodVersionobjectOptional

The procedure method definition version (PMDV) this condition belongs to.

Errors

400
Procedure Run Plan Condition Get Request Bad Request Error
403
Procedure Run Plan Condition Get Request Forbidden Error
404
Procedure Run Plan Condition Get Request Not Found Error
429
Procedure Run Plan Condition Get Request Too Many Requests Error
500
Procedure Run Plan Condition Get Request Internal Server Error